List pending access requests for your pages
GET
/v1/access-requests/incoming
const url = 'https://shareout.site/v1/access-requests/incoming';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shareout.site/v1/access-requests/incoming \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Pending requests where you are the artifact owner
Media type application/json
object
requests
Array<object>
object
id
string
artifact_id
string
artifact_name
string
artifact_slug
string
requester_email
string format: email
requester_name
string
created_at
string format: date-time
Example generated
{ "requests": [ { "id": "example", "artifact_id": "example", "artifact_name": "example", "artifact_slug": "example", "requester_email": "hello@example.com", "requester_name": "example", "created_at": "2026-04-15T12:00:00Z" } ]}